/*
 * This file is part of the Symfony Webpack Encore package.
 *
 * (c) Fabien Potencier <fabien@symfony.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

'use strict';

const RuntimeConfig = require('./RuntimeConfig'); //eslint-disable-line no-unused-vars
const findPort = require('webpack-dev-server/lib/utils/findPort');

/**
 * @param {RuntimeConfig} runtimeConfig
 * @returns {Promise<Number>}
 */
const getDevServerPort = async function(runtimeConfig) {
    return await findPort(runtimeConfig.devServerPort);
};

module.exports = { getDevServerPort };
